Attribute VB_Name = "hmenu"
'This is to launch a file with its associated programme:
#If Win32 Then
Public Declare Function ShellExecute Lib _
    "shell32.dll" Alias "ShellExecuteA" _
    (ByVal hwnd As Long, _
    ByVal lpOperation As String, _
    ByVal lpFile As String, _
    ByVal lpParameters As String, _
    ByVal lpDirectory As String, _
    ByVal nShowCmd As Long) As Long

#Else
    Public Declare Function ShellExecute Lib _
    "shell.dll" (ByVal _
    hwnd As Integer, ByVal lpOperation _
    As String, ByVal lpFile _
    As String, ByVal lpParameters _
    As String, ByVal lpDirectory _
    As String, ByVal nShowCmd _
    As Integer) As Integer
#End If

Public Const SW_SHOWNORMAL = 1

Public HelpURL As String
Public HelpSubURL As String
Public HelpIndex As Integer

Public Sub DoHelp()
    Dim iret As Long
    
    Select Case HelpIndex
        Case 0: HelpURL = "http://www.apu.ac.uk/music/rhoadley/software/help/psalarm/index.html"
        Case 1: HelpURL = "http://www.apu.ac.uk/music/rhoadley/software/index.html"
        ' Case 2: Separator
        Case 3: HelpURL = "http://www.apu.ac.uk/music/rhoadley/v2s/index.html"
        Case 4: HelpURL = "http://www.apu.ac.uk/music/rhoadley/courses/tech2b/index.html"
        Case 5: HelpURL = "http://www.apu.ac.uk/music/paradise/index.php"
        ' Case 6: Separator
        Case 7: HelpURL = "mailto:r.j.hoadley@apu.ac.uk"
        ' Case 8: Psalm_about.Show
    End Select
    
    iret = ShellExecute(frmMain.hwnd, vbNullString, _
    HelpURL, _
    vbNullString, "c:\", SW_SHOWNORMAL)
End Sub


Public Sub MakeHMenu()
    'Load frmMain.MnuHHelp(0)
    frmMain.MnuHHelp(0).Caption = "Online &Help..."
    frmMain.MnuHHelp(0).Visible = True
    
    Load frmMain.MnuHHelp(1)
    frmMain.MnuHHelp(1).Caption = "Other Psalm &Software..."
    frmMain.MnuHHelp(1).Visible = True
    
    Load frmMain.MnuHHelp(2)
    frmMain.MnuHHelp(2).Caption = "-"
    frmMain.MnuHHelp(2).Visible = True
    
    Load frmMain.MnuHHelp(3)
    frmMain.MnuHHelp(3).Caption = "&Richard Hoadley's Website..."
    frmMain.MnuHHelp(3).Visible = True
    
    Load frmMain.MnuHHelp(4)
    frmMain.MnuHHelp(4).Caption = "&Creative Computing Course..."
    frmMain.MnuHHelp(4).Visible = True

    
    Load frmMain.MnuHHelp(5)
    frmMain.MnuHHelp(5).Caption = "&Paradise Street Website..."
    frmMain.MnuHHelp(5).Visible = True
    
    Load frmMain.MnuHHelp(6)
    frmMain.MnuHHelp(6).Caption = "-"
    frmMain.MnuHHelp(6).Visible = True
    
    Load frmMain.MnuHHelp(7)
    frmMain.MnuHHelp(7).Caption = "&Email..."
    frmMain.MnuHHelp(7).Visible = True
    
    Load frmMain.MnuHHelp(8)
    frmMain.MnuHHelp(8).Caption = "&About..."
    frmMain.MnuHHelp(8).Visible = True
End Sub


